﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace YPS.GridConverters
{
    public class GridThemeColor : DataGridStyle
    {
        public GridThemeColor()
        {

        }

        // Customize border width for grid cells
        //public override float GetBorderWidth()
        //{
        //    return 5;
        //}

        // Customize border width for header cells
        public override float GetHeaderBorderWidth()
        {
            return 5;
        }

        public override Color GetHeaderBackgroundColor()
        {
            return Color.FromHex("#999999");
        }

        public override Color GetHeaderForegroundColor()
        {
            return Color.White;
        }

        public override Color GetRecordBackgroundColor()
        {
            return Color.White;
        }

        public override Color GetRecordForegroundColor()
        {
            return Color.FromHex("#000");
        }

        public override Color GetCaptionSummaryRowBackgroundColor()
        {
            return Color.FromHex("#f7f7f7");
        }

        public override Color GetCaptionSummaryRowForeGroundColor()
        {
            return Color.FromHex("#000");
        }

        public override Color GetSelectionBackgroundColor()
        {
            return Color.FromHex("#dedddd");
            //return Color.Blue;
        }

        public override Color GetSelectionForegroundColor()
        {
            return Color.Black;
            //return Color.White;
        }

        public override Color GetBorderColor()
        {
            return Color.White;
        }

        //public override Color GetLoadMoreViewBackgroundColor()
        //{
        //    return Color.Gold;
        //}

        //public override Color GetLoadMoreViewForegroundColor()
        //{
        //    return Color.Green;
        //}

        public override Color GetAlternatingRowBackgroundColor()
        {
            return Color.FromHex("#dedddd");
        }
    }
}
