﻿using DemoPro.Model;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DemoPro.RestClientAPI
{
    class RestClient
    {
        public async Task<string> LoadPoData(SendPodata obj)
        {
            try
            {
                HttpClient httpClient = new HttpClient();
                string PoDataResult = string.Empty;
                var json = JsonConvert.SerializeObject(obj);
                HttpContent httpContent = new StringContent(json);
                httpContent.Headers.ContentType = new MediaTypeHeaderValue("application/json");
                HttpResponseMessage response = null;
                response = await httpClient.PostAsync("https://ypsdev.azurewebsites.net/api/PO/PODataWithTags", httpContent);

                var PoResult = await response.Content.ReadAsStringAsync();
                PoDataResult = PoResult;

                return PoDataResult;

            }
            catch (Exception ex)
            {
                return string.Empty;
            }
        }

    }
}
